Bug 45333 - [Android Archive Manager and Publishing Workflow Enhancements] Differentiator between Alias, Wizard Path, Key Details, Keystore Path
Summary: [Android Archive Manager and Publishing Workflow Enhancements] Differentiator...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: High enhancement
Target Milestone: 4.2.1 (C8SR1)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-10-12 17:37 UTC by Jon Douglas [MSFT]
Modified: 2016-10-17 17:54 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jon Douglas [MSFT] 2016-10-12 17:37:02 UTC
*Description:

These are a few enhancement requests for the new android archive manager and publishing workflow introduced in 4.2:

https://developer.xamarin.com/releases/vs/xamarin.vs_4/xamarin.vs_4.2/#Android_Archive_Manager_and_Publishing

1. The Wizard Path is not clickable. Thus one has to use the "Back" button instead to move between steps. I believe it would be very beneficial for users to easily jump between labeled Wizard Steps.

http://screencast.com/t/vrwQF1YI5L8T

2. It's not obvious to the user to double click the keystore for keystore details. I believe a enabled/disabled "Details" button would help the user discover this. Or a coach mark letting the user know they can do this:

http://screencast.com/t/wwG32TUSFJFh

3. The keystore path should be shown in the details dialog. The only indication of where the keystore is stored is an extra step in the "View in Explorer" button just see which keystore is being used.

http://screencast.com/t/5mo447FUP

Thus I believe this information should be in the Keystore details below the alias:

http://screencast.com/t/P4GJIxvsr

*Version Information:

Xamarin 4.2.0.703
Comment 1 xamarin-release-manager 2016-10-15 21:42:47 UTC
Fixed in version 4.3.0.80 (master)

Author: josegallardo
Commit: feff65dfb4dd9e80cbf300b863e0829f8051dadb (xamarin/XamarinVS)
Comment 2 xamarin-release-manager 2016-10-15 21:43:47 UTC
Fixed in version 4.2.1.12 (cycle8)

Author: josegallardo
Commit: 7f2a56e66b4f7831a76ba7a383784b70a263690a (xamarin/XamarinVS)
Comment 3 Jose Gallardo 2016-10-17 13:59:38 UTC
Clarifying how we've implemented the fixes:

1. The user can now click on any of the nodes in the Wizard Path, and the wizard will be rewinded to that step.

2. As a coaching mark, we added a Tooltip to the list items, saying "Double-click for more info..."

3. When double-clicking on the Keystore, the detail now show as the first piece of info the path, like:

Keystore Path: "C:\Users\joe\AppData\Local\Xamarin\Mono for Android\Keystore\TestKey - 5\TestKey.keystore"
Alias name: TestKey
Creation date: Oct 11, 2016
Entry type: PrivateKeyEntry
Certificate chain length: 1
...
Comment 4 Sunil Kumar 2016-10-17 17:54:03 UTC
I have checked this issue with latest Master XVS 4.3.0.80 and cycle 8 XVS 4.2.1.12 and observed that all cases are working as expected as mentioned in comment 3.

Screencast(Master): http://www.screencast.com/t/oR7oh7kp
Screencast(C8): http://www.screencast.com/t/eoa6f0B9

Hence closing this issue.

Environment info:
Master: https://gist.github.com/sunil360/21064c9927fca29dd06bbc548c5087f4
Cycle 8: https://gist.github.com/sunil360/6b5c3e384633bb8f1d36c61b6e7f3a48

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 45333 on Developer Community if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: